#!/bin/sh

# find path to executable, which varies depending if we are in production or running through Qt Creator

case "$PWD" in
  "/usr/local/bin/truetouch")
  cd ../truetouch-browser || exit 1
  ;;
  "/home/true/Veracity/"*"build"*"Release"*)
  cd ../build*WebBrowser*Release* || exit 1
  ;;
  "/home/true/Veracity/"*"build"*"Debug"*)
  cd ../build*WebBrowser*Debug* || exit 1
  ;;
esac

echo "Starting browser from $PWD"
exec ./WebBrowser "$@"
