// import QtQuick 2.4 // to target S60 5th Edition or Maemo 5
import QtQuick 2.4

import ".."
import "../views.js" as TheViews
Item {
    id: root

    property variant container

    width:workoutViewContainer.contentAreaWidth
    height: workoutViewContainer.contentAreaHeight

    VideoWorkoutView{
        id: videoWorkout

        onPlaybackComplete: workoutScreen.stopWorkout()

        anchors.fill: parent
        frame: root
        fullscreenFrame: fullscreenVideoFrame.screen

        Timer{
            interval: 1000
            running: true
            onTriggered: videoWorkout.videoMRL = "/data/video/Cardio360.mp4"
        }

        Connections{
            target: workoutScreen
            onWorkoutStopped: {
                videoWorkout.stopVideo()
            }
        }
    }
}

